# This file created by conda-build 3.27.0
# ------------------------------------------------

package:
  name: libllvm17
  version: 17.0.6
source:
  patches:
    - patches/0002-restore-macos-10.9-support.patch
    - patches/0004-remove-unsupported-intrinsic-test.patch
    - patches/0005-remove-permission-based-unit-tests.patch
    - patches/osx_ver.patch
  sha256: 58a8818c60e6627064f312dbf46c02d9949956558340938b71cf731ad8bc0813
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-17.0.6/llvm-project-17.0.6.src.tar.xz
build:
  number: 0
  run_exports:
    - libllvm17 >=17.0.6,<17.1.0a0
  string: hac7df47_0
requirements:
  build:
    - bzip2 1.0.8 h620ffc9_4
    - c-ares 1.19.1 h80987f9_0
    - ca-certificates 2023.08.22 hca03da5_0
    - clang_bootstrap_osx-arm64 14.0.6 h1d3d883_0
    - cmake 3.26.4 h5d7ac33_0
    - expat 2.5.0 h313beb8_0
    - krb5 1.20.1 hf3e1bf2_1
    - libcurl 8.4.0 h3e2b118_1
    - libcxx 14.0.6 h848a8c0_0
    - libedit 3.1.20221030 h80987f9_0
    - libev 4.33 h1a28f6b_1
    - libffi 3.4.4 hca03da5_0
    - libnghttp2 1.57.0 h62f6fdd_0
    - libssh2 1.10.0 h02f6b3c_2
    - libuv 1.44.2 h80987f9_0
    - lz4-c 1.9.4 h313beb8_0
    - ncurses 6.4 h313beb8_0
    - ninja 1.10.2 hca03da5_5
    - ninja-base 1.10.2 h525c30c_5
    - openssl 3.0.12 h1a28f6b_0
    - python 3.12.0 h99e199e_0
    - readline 8.2 h1a28f6b_0
    - rhash 1.4.3 h02f6b3c_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023c h04d1e81_0
    - xz 5.4.5 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
    - zstd 1.5.5 hd90d995_0
  host:
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - lz4-c 1.9.4 h313beb8_0
    - xz 5.4.5 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
    - zstd 1.5.2 h8574219_0
  run:
    - libcxx >=14
    - libffi >=3.4,<4.0a0
    - libffi >=3.4.4,<3.5.0a0
    - zlib >=1.2.13,<1.3.0a0
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - test -f $PREFIX/lib/libLLVM-17${SHLIB_EXT}
about:
  description: 'A toolkit for the construction of highly optimized compilers,

    optimizers, and run-time environments.

    '
  dev_url: https://github.com/llvm/llvm-project
  doc_url: https://llvm.org/docs/
  home: https://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: llvm/LICENSE.TXT
  summary: Development headers and libraries for LLVM
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3abfb206-f14c-4a75-b57e-59c175de15b4
  recipe-maintainers:
    - SylvainCorlay
    - danpetry
    - h-vetinari
    - inducer
    - isuruf
    - jakirkham
    - mingwandroid
    - timsnyder
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/llvmdev-feedstock.git
  sha: ef1cad4c0b2a35d2bc91ce2a280da15b48b5820a
  skip-lints:
    - missing_tests
    - output_missing_script
    - wrong_output_script_key
